import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';
const session: AppRouteRecordRaw = {
    path: '/knowledgeLib',
    name: 'knowledgeLib',
    component: DEFAULT_LAYOUT,
    meta: {
        locale: '知识库管理',
        requiresAuth: true,
        icon: 'icon-voice',
        order: 3,
        hideInMenu:false
    },
    children:[
        {
            path: '/knowledgeLib',
            name: 'knowledgeLib',
            component: () => import('@/views/dmx/knowledgeLib/index.vue'),
            meta: {
                requiresAuth: true,
                hideInMenu:true,
                roles: ['*'],
                activeMenu:'session'
            },
        },
    ]
};
export default session;